Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5335 - dd fails on 2GB disks (write only)
Summary: dd fails on 2GB disks (write only)
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-23 18:35 UTC by michaelg
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-16 21:13:50 UTC


Attachments (Terms of Use)

Description michaelg 1999-09-23 18:35:44 UTC
When reading large files > 2Gb it works fine, but writing
gives an error when using SEEK.

E.g. a 4 Gb disk on /dev/hdc:

# dd if=/dev/zero of=/dev/hdc bs=1M seek=4000 count=1

gives an invalid arguement error.

Thanks
Michael

Comment 1 Erik Troan 2000-02-16 21:13:59 UTC
This can't be fixed until 64-bit file support is integrated into the standard
Linux kernel due to dd semantics (we need ftruncate64())


Note You need to log in before you can comment on or make changes to this bug.